# Profiling

The profiling endpoint allows you to fetch profiling information from a running datarhei Core instance. It has to be enabled with [debug.profiling](/core/configuration/debug.md) in the config.

Navigate you browser to `/profiling` where you can access different diagnostic solutions as described in <https://go.dev/doc/diagnostics>.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.datarhei.com/core/api/profiling.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
